
Redmine - Feature #42072

Adjust font size for breadcrumb and subtitle to improve readability and consistency

2025-01-05 06:09 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.3   

Resolution: Fixed   

Description

The patch updates the font size for the .breadcrumb and .subtitle elements from 0.9em (equivalent to 12.6px when the the parent

element's font size is 14px) to 0.8125rem (13px).

The change aims to slightly improve readability by increasing the font size while also ensuring consistent font sizing that does not

depend on the parent element's font size.

diff --git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css

index f198a96ce..440f0335e 100644

--- a/app/assets/stylesheets/application.css

+++ b/app/assets/stylesheets/application.css

@@ -655,8 +655,8 @@ div.issue {

   border-radius: 3px;

   box-shadow: 0 1px 2px rgba(0,0,0,0.05);

 }

-p.breadcrumb { font-size: 0.9em; margin: 4px 0 4px 0;}

-p.subtitle { font-size: 0.9em; margin: -6px 0 12px 0; font-style: italic; }

+p.breadcrumb { font-size: 0.8125rem; margin: 4px 0 4px 0;}

+p.subtitle { font-size: 0.8125rem; margin: -6px 0 12px 0; font-style: italic; }

 p.footnote { font-size: 0.9em; margin-top: 0px; margin-bottom: 0px; }

 .wiki-class-ltr {direction:ltr !important;}

 .wiki-class-rtl {direction:rtl !important;}

Associated revisions

Revision 23441 - 2025-01-16 02:47 - Go MAEDA

Adjust font size for breadcrumb and subtitle to improve readability and consistency (#42072).

Patch by Go MAEDA (user:maeda).

Revision 23443 - 2025-01-17 10:29 - Go MAEDA

Merged r23441 from trunk to 6.0-stable (#42072).

History

#1 - 2025-01-06 16:26 - Go MAEDA

- Target version changed from Candidate for next minor release to 6.0.3

Setting the target version to 6.0.3.

#2 - 2025-01-16 02:48 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the change in r23441.

#3 - 2025-01-17 10:29 - Go MAEDA

- Status changed from Resolved to Closed
Merged the change into the 6.0-stable branch in r23443.
